<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						  			 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php
include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Produit.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Produitdesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Rubriquedesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Modules.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Commande.class.php");

class Liveconsult extends PluginsClassiques
{
	
		var $id;
		var $ip;
		var $session;
		var $userid;
		var $username;
		var $date;
		var $actionid;
		var $actionname;
		var $valeur;
		var $extra;

        var $table="liveconsult";
        var $bddvars = array("id", "ip", "session", "userid", "username", "date", "actionid", "actionname", "valeur", "extra");

	function Liveconsult(){
		$this->PluginsClassiques();	
		
		$this->ip = $_SERVER['REMOTE_ADDR'];
		$this->session = session_id();
		$this->userid = $_SESSION['navig']->client->id;
		if( $_SESSION['navig']->connecte)
			$this->username = $_SESSION['navig']->client->prenom . " " . $_SESSION['navig']->client->nom;
		$this->date = date("Y-m-d H:i:s");		
	}
	
	function init(){
		$cnx = new Cnx();
		$query_liveconsult = "CREATE TABLE IF NOT EXISTS `liveconsult` (
  							 `id` int(11) NOT NULL auto_increment,
  						 	 `ip` text NOT NULL,
 							 `session` text NOT NULL,
 							 `userid` int(11) NOT NULL,
						     `username` text NOT NULL,
  							 `date` datetime NOT NULL,
   							 `actionid` text NOT NULL,
 							 `actionname` text NOT NULL,
 							 `valeur` text NOT NULL,
 							 `extra` text NOT NULL,
 							 PRIMARY KEY  (`id`)
							) AUTO_INCREMENT=1 ;";
											
		$resul_liveconsult = mysql_query($query_liveconsult, $cnx->link);		
	
	}
	
	
	function charger(){
        $commande = func_get_arg(0);
        return $this->getVars("select * from $this->table where commande=\"$commande\"");
	}


	function demarrage(){
		// garder les actions demandes

		if($_REQUEST['action'] == "" &&  $_REQUEST['motcle'] == "")
			return 0;
			
		$this->actionid = $_REQUEST['action'];

		if($_REQUEST['action'] == "ajouter"){
			$produit = new Produit();
			$produit->charger($_REQUEST['ref']);
			$produitdesc = new Produitdesc();
			$produitdesc->charger($produit->id);
			
			$this->actionname = "Ajout panier";
			$this->valeur = $produit->ref . " - " . $produitdesc->titre;
			
			// dclinaison
			
     	    $tdeclinaison = new Declinaison();
        	$tdeclinaisondesc = new Declinaisondesc();
        	$tdeclidisp = new Declidisp();
      	    $tdeclidispdesc = new Declidispdesc();

      	    for($compt = 0; $compt<count($_SESSION['navig']->panier->tabarticle[$article]->perso); $compt++){

                 $tperso = $_SESSION['navig']->panier->tabarticle[$article]->perso[$compt];

                 $tdeclinaison->charger($tperso->declinaison);
                 $tdeclinaisondesc->charger($tdeclinaison->id, $_SESSION['navig']->lang);
                 // recup valeur declidisp ou string
                 if($tdeclinaison->isDeclidisp($tperso->declinaison)){
                         $tdeclidisp->charger($tperso->valeur);
                         $tdeclidispdesc->charger_declidisp($tdeclidisp->id, $_SESSION['navig']->lang);
                         $valeur .= " / " . $tdeclidispdesc->titre;
                 }

                 else $valeur .= " / " . $tperso->valeur;
        
         	}  			

			$this->extra = $valeur;
		}
		
		else if($_REQUEST['action'] == "supprimer"){
			$article = $_REQUEST['article'];
			
			$produit = new Produit();
			$produit->charger($_SESSION['navig']->panier->tabarticle[$article]->produit->ref);
			$produitdesc = new Produitdesc();
			$produitdesc->charger($produit->id);
		
			$this->actionname = "Suppression panier";
			$this->valeur = $produit->ref . " - " . $produitdesc->titre;
			
		}
		
		else if($_REQUEST['action'] == "modifier"){
		
			$article = $_REQUEST['article'];
			
			$produit = new Produit();
			$produit->charger($_SESSION['navig']->panier->tabarticle[$article]->produit->id);
			$produitdesc = new Produitdesc();
			$produitdesc->charger($produit->id);

			$this->actionname = "Modification panier";
			$this->valeur = $produit->ref . " - " . $produitdesc->titre . " - " . "quantite : " . $_REQUEST['quantite'];		


		}
		
		else if($_REQUEST['action'] == "connexion"){
		
			$this->actionname = "Tentative de connexion";
			$this->valeur = $_REQUEST['email'];
		
		}				

		else if($_REQUEST['action'] == "deconnexion"){
		
			$this->actionname = "Dconnexion";
		}		

		if($_REQUEST['action'] == "paiement"){
			$this->actionname = "Paiement";		
		}
		
		else if($_REQUEST['action'] == "transport"){
		
			$this->actionname = "Choix transport";	
			$mod = new Modules();
			$mod->charger_id($_REQUEST['id']);	
			$this->valeur = $mod->nom;		
		
		}
		
		else if($_REQUEST['action'] == "creercompte"){
			$this->actionname = "Cration de compte";	
			$this->valeur = $_REQUEST['prenom'] . " " . $_REQUEST["nom"];		
		}
		
		else if($_REQUEST['action'] == "modifiercompte"){
			$this->actionname = "Modification de compte";			
		}				

		else if($_REQUEST['action'] == "creerlivraison"){
			$this->actionname = "Cration adresse livraison";	
		}	
		
		if($_REQUEST['action'] == "supprimerlivraison"){
			$this->actionname = "Suppression adresse livraison";			
		}
		
		else if($_REQUEST['action'] == "modifierlivraison"){
			$this->actionname = "Modification adresse livraison";					
		}
		
		else if($_REQUEST['action'] == "modadresse"){
			$this->actionname = "Changement adresse livraison";					
		}
		
		else if($_REQUEST['action'] == "codepromo"){
			$this->actionname = "Utilisation d'un code promo";					
			$this->valeur = $_REQUEST['code'];
		}				

		else if($_REQUEST['action'] == "chmdp"){
			$this->actionname = "Demande mot de passe";					
		}	
		
		else if($_REQUEST['motcle'] != ""){
			$this->actionname = "Recherche";					
			$this->valeur = $_REQUEST['motcle'];					
		}	
				
		$this->add();		
				
	}
	
	function action(){
		global $fond;
		
		if($_REQUEST['action'] == "" && $_REQUEST['motcle'] == ""){
			$this->actionname = "Chargement page " . str_replace(".html", "", $fond);	

			if($fond == "produit.html"){
				$produit = new Produit();
				$produit->charger($_REQUEST['ref']);
				$produitdesc = new Produitdesc();
				$produitdesc->charger($produit->id);
				$this->valeur = $produit->ref . " - " . $produitdesc->titre;
			}
			
			else if($fond == "rubrique.html"){
				$rubriquedesc = new Rubriquedesc();
				$rubriquedesc->charger($rubrique->id);
				$this->valeur = $rubriquedesc->titre;
			}
			
			$this->add();
		}		


	}
	
	
	function apresclient($client){
		$this->actionname = "Cration client termine";	
		$this->valeur = $client->prenom . " " . $client->nom;
		$this->add();
	}
	
	function apresconnexion(){
		$this->actionname = "Connexion client";	
		$this->valeur = $_SESSION['navig']->client->prenom . " " . $_SESSION['navig']->client->nom;	
		$this->add();	
	}
	
	function aprescommande($commande){
		$this->actionname = "Commande valide";	
		$this->add();
	}
	
	function confirmation($commande){
		$this->actionname = "Commande paye";	
		$this->add();		
	}


	function apresmodifcompte($client){
		$this->actionname = "Modification compte termine";		
		$this->add();
	}
	
	
}